package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolExcludeskucodeRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaWdkMarketingItempoolExcludeskucodeItemPoolSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaWdkMarketingItempoolExcludeskucodeCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaWdkMarketingItempoolExcludeskucodeRequest) SetParam0(v domain.AlibabaWdkMarketingItempoolExcludeskucodeItemPoolSku) *AlibabaWdkMarketingItempoolExcludeskucodeRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolExcludeskucodeRequest) SetParam1(v domain.AlibabaWdkMarketingItempoolExcludeskucodeCommonActivityParam) *AlibabaWdkMarketingItempoolExcludeskucodeRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolExcludeskucodeRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolExcludeskucodeRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
